Attribute VB_Name = "DisplayData"
Public Sub DrawMainPicture()
    GetMainPictureRange
    MainForm.DisplayPicture.Cls
    If GridOn = True Then
        Result = sdMainPanelDrawGrid(MainForm.DisplayPicture.hdc, DisPicture)
    End If
End Sub

Public Sub GetMainPictureRange()
    DisPicture.top = 2
    DisPicture.bottom = 2
    DisPicture.left = 2
    DisPicture.right = 2
    DisPicture.width = MainForm.DisplayPicture.ScaleWidth
    DisPicture.height = MainForm.DisplayPicture.ScaleHeight
End Sub
Public Sub ToDisplayData()
    If TriggerMode = 2 Then
        If StartCapture = 1 Then
            CopyDataToBuffer
            GetDisplayData
        End If
        StartCapture = 0
    Else
        CopyDataToBuffer
        GetDisplayData
    End If
    DataToDisplay
End Sub
Public Sub DisplaySampling()
    Sampling = sdDisplaySampling(Ch2Enabled, Ch1Enabled, ETS, TriggerSource, Timebase, Controlstate.BufferSize, Time)
    If Controlstate.Timebase < 25 Then
        If Sampling > 0.5 Then
            MainForm.StatusBar.Panels.Item(2).Text = "Sampling:" & Sampling & "MS/s"
        ElseIf Sampling >= 0.0025 Then
            Sampling = Sampling * 1000
            MainForm.StatusBar.Panels.Item(2).Text = "Sampling:" & Sampling & "KS/s"
        End If
    Else
        MainForm.StatusBar.Panels.Item(2).Text = "Sampling:" & Sampling & "S/s"
    End If
End Sub
